Fabrikant
POST /api/insurance/SearchManufacturer🏭 Zoek naar fabrikanten van apparaten, gefilterd op artikelcategorie en een optionele zoekterm.
- 🗂️ Filter op
itemCategoryCodeom resultaten te beperken tot een specifiek apparaattype - 🔎 Gebruik de optionele
searchTermom fabrikantnamen te matchen
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
itemCategoryCode*stringEnum: "PHONE" | "TABLET" | "NOTEBOOK" | "VISUAL" | "WEARABLES" | "OTHER" | "DESKTOP"
Device category code used to filter manufacturers.
searchTerm*string
Search term to filter manufacturers by name. Leave empty to return all manufacturers in the category.
exactMatch*boolean
If true, only exact matches are returned. If false, partial matches are included.
Response Body
curl -X POST "https://jubilee-ws.test.harmony.nl/api/insurance/SearchManufacturer" \ -H "Content-Type: application/json" \ -d '{ "itemCategoryCode": "OTHER", "searchTerm": "", "exactMatch": false }'